
figure(4);
subplot(2,1,1),bar(WeightsTP_end)
title('Weights of Assets in the Tan Portfolio 2004:2007','fontname','Garamond','fontsize',14);
set(gca,'YGrid','on')
set(gca,'fontname','garamond','fontsize',10);
set(gca,'xticklabel','German LT Bond|German Equity|US Equity|UK Equity');
ylabel('Percentage Weight');
colormap summer  
subplot(2,1,2), plot(StdMeanVariance_end, MuMeanVariance_end, 'rd-');
hold on; plot(SD_bm_end, Mu_bm_end, 'bd-','LineWidth',2,'LineStyle','--')
hold on; plot(StdMeanVariance, MuMeanVariance, 'rd-')
hold on; plot(SD_bm, Mu_bm, 'bd-','LineWidth',2,'LineStyle','--')
title('Efficient Frontier','fontname','Garamond','fontsize',14);
set(gca,'YGrid','on')
set(gca,'fontname','garamond','fontsize',10);
ylabel('monthly returns')
xlabel('standard deviation')

figure(5);

plot(PerfR2,'LineWidth',2); hold on; plot(PerfPort_end,'k','LineWidth',3,'LineStyle','--'); hold on; plot(PerfPort1,'k','LineWidth',3,'LineStyle','--')
index = 12:12:(pe-ps+1);
set(gca,'fontname','garamond','fontsize',10);
set(gca,'YGrid','on')
set(gca,'XGrid','on')
set(gca,'xtick',index);
set(gca,'xticklabel','Dec2004|Dec2005|Dec2006|Dec2007');
set(gca,'xlim',[1 (pe-ps+1)]);
ylabel('Cumulative Returns');
h = legend('German LT Bond', 'German Equity','UK Equity','US Equity','Tangency ex-post','Tangency ex-ante',0);
