db=dlmread('zmdatabase.txt','\t');

nv=18;
var=[4 12];
num=100;

db(db==-999)=NaN;

run signals

dat=datenum(db(:,1:3));
names=db(:,4);
dbx=db(:,5:end);

clear db

na=unique(names);
dates=unique(dat);

ns=size(na,1);
nd=size(dates,1);

top=zeros(nd,size(var,2));
bot=top;
ben=top;


for i=1:size(var,2)
    
    for j=1:nd
        
        dbx2=dbx(dat==dates(j),:);
        dbm=dbx2(isfinite(dbx2(:,var(i))),:);
        
        [dbs ind]=sortrows(dbm,-1*var(i));   
        
        top(j,i)=nanmean(dbs(1:num,nv+1));
        bot(j,i)=nanmean(dbs(end-num:end,nv+1));   
        ben(j,i)=nanmean(dbs(1:end,nv+1));  
    end
    
    ptop=ret2tick(top(:,i));
    pbot=ret2tick(bot(:,i));
    pben=ret2tick(ben(:,i));
    
    datex=[dates(1)-31;dates];
    
    figure
    plot(datex,[ptop pbot pben])
    legend('Top','Bottom','Benchmark')
    grid on
    dateaxis('x',12)
    title(signal(var(i)))
end

    
    
    
    
        
        
        
        




