db=dlmread('zmdatabase.txt','\t');

nv=18;
var=[4 7 12 17];
num=100;

db(db==-999)=NaN;

run signals

dat=datenum(db(:,1:3));
names=db(:,4);
dbx=db(:,5:end);

clear db

na=unique(names);
dates=unique(dat);

ns=size(na,1);
nd=size(dates,1);

top=zeros(nd,size(var,2));
bot=top;
ben=top;


for i=1:size(var,2)
    
    for j=1:nd
        
        dbx2=dbx(dat==dates(j),:);
        dbm=dbx2(isfinite(dbx2(:,var(i))),:);
        
        [dbs ind]=sortrows(dbm,-1*var(i));   
        
        top(j,i)=nanmean(dbs(1:num,nv+1));
        bot(j,i)=nanmean(dbs(end-num:end,nv+1));   
        ben(j,i)=nanmean(dbs(1:end,nv+1));  
    end
    sn(1,i)=signal(var(i));
end

dris(1,:)=mean(top);
dris(2,:)=mean(bot);
dris(3,:)=mean(top-bot);
dris(4,:)=mean(top-ben);
dris(5,:)=mean(ben);

dris(6,:)=std(top);
dris(7,:)=std(bot);
dris(8,:)=std(top-bot);
dris(9,:)=std(top-ben);
dris(10,:)=std(ben);

ctop=corrcoef(top-ben);


xlswrite('MM_Diagnostics.xls',dris,'Results','B2')
xlswrite('MM_Diagnostics.xls',sn,'Results','B1')

xlswrite('MM_Diagnostics.xls',ctop,'Correlations','B2')
xlswrite('MM_Diagnostics.xls',sn,'Correlations','B1')
xlswrite('MM_Diagnostics.xls',sn','Correlations','A2')


xlswrite('MM_Diagnostics.xls',sn,'Top','B1')
xlswrite('MM_Diagnostics.xls',[m2xdate(dates) top],'Top','A2')

xlswrite('MM_Diagnostics.xls',sn,'Bottom','B1')
xlswrite('MM_Diagnostics.xls',[m2xdate(dates) bot],'Bottom','A2')

    
    
    
    
        
        
        
        




